artificialFastqGenerator

## Class AbstractRead

- java.lang.Object
- - artificialFastqGenerator.AbstractRead

- Direct Known Subclasses:
    ArtificialFastqGenerator.BabyRead, Read

      public abstract class AbstractRead
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRead()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<Nucleobase>` | `getSequence()` Return the sequence of nucleobases from the reference genome which this Read object is a read of.
    `void` | `setSequence(java.util.ArrayList<Nucleobase> sequence)` Set the sequence of nucleobases from the reference genome which this Read object is a read of.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRead

          public AbstractRead()

  - ### Method Detail

    - #### setSequence

          public void setSequence(java.util.ArrayList<Nucleobase> sequence)

      Set the sequence of nucleobases from the reference genome which this Read object is a read of.
      Parameters:
        `sequence` -

    - #### getSequence

          public java.util.ArrayList<Nucleobase> getSequence()

      Return the sequence of nucleobases from the reference genome which this Read object is a read of.
      Returns:
        sequence - the sequence of nucleobases from the reference genome which this Read object is a read of.